textures/SHEEP/PulseLight
{
	qer_editorimage textures/SHEEP/lightborder.tga
	q3map_lightimage textures/SHEEP/lightwave.tga
	q3map_surfacelight 300
	{
		map textures/SHEEP/LightBorder.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/SHEEP/LightWave.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
		tcMod scroll 0 0.25
	}
}

textures/SHEEP/SHEEPfog
{
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.8 0.8 0.8 ) 500
}

textures/SHEEP/SHEEPfog3
{
	qer_editorimage textures/SHEEP/fog.tga
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_globaltexture
	fogparms ( 0.2 0.2 0.25 ) 500
	{
		map textures/SHEEP/fog.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.05 -0.05
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/SHEEP/fog.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.05 0.05
		tcMod scroll 0.01 -0.01
	}
}

textures/SHEEP/blue_telep
{
	qer_editorimage textures/SHEEP/blue_telep.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	sort additive
	cull disable
	{
		clampmap textures/SHEEP/blue_telep.tga
		blendfunc add
		rgbGen identity
		tcMod stretch sin 0.9 0.1 0 0.5 
		tcMod rotate 327
		depthWrite
	}
	{
		clampmap textures/SHEEP/blue_telep2.tga
		blendfunc add
		rgbGen identity
		tcMod stretch sin 0.9 0.1 0 0.1 
		tcMod rotate -211
		depthWrite
	}
}

textures/SHEEP/greenlight
{
	qer_editorimage textures/SHEEP/greenlight.tga
	q3map_lightimage textures/SHEEP/greenblend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/SHEEP/greenlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/SHEEP/greenblend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/SHEEP/hexglowblue
{
	qer_editorimage textures/SHEEP/hexskull.tga
	q3map_lightimage textures/SHEEP/hexskull_pentagram_blue.tga
	q3map_surfacelight 100
	{
		map textures/SHEEP/hexskull.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/SHEEP/hexskull_pentagram_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

textures/SHEEP/marb
{
	q3map_lightimage textures/SHEEP/marb.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map textures/SHEEP/envblue.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/SHEEP/marb.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/SHEEP/moreSHEEPfog
{
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.266383 1 1.2 ) 500
}

textures/SHEEP/shroomglow
{
	qer_editorimage textures/SHEEP/shroomblue.tga
	q3map_lightimage textures/SHEEP/shroomblueblink.tga
	q3map_surfacelight 150
	{
		map textures/SHEEP/shroomblue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/SHEEP/shroomblueblink.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.2 
		depthFunc equal
	}
}

textures/SHEEP/tongue_bone
{
	q3map_lightimage textures/SHEEP/flickereyes.tga
	surfaceparm nolightmap
	q3map_surfacelight 400
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/SHEEP/tongue_bone.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/SHEEP/tongue_bone.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.2 
	}
	{
		clampmap textures/SHEEP/flickereyes.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.2 
	}
}

textures/Sheep/sky2
{
	qer_editorimage textures/skies/intelredclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 256
	q3map_surfacelight 60
	q3map_sun 0.266383 1 1.2 100 60 85
	skyParms env/jhnebula3 128 -
}

textures/sheep/blueconsole
{
	qer_editorimage textures/sheep/consoleblue.tga
	q3map_lightimage textures/sheep/consoleblue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	q3map_surfacelight 150
	{
		clampmap textures/sheep/consoleblue.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 20
	}
	{
		clampmap textures/sheep/console02.tga
		blendfunc add
		rgbGen identity
		tcMod rotate -200
	}
}

